# Class BoundingBox

java.lang.Object
com.codename1.maps.BoundingBox

public class BoundingBox extends Object
This class declares a bounding box of coordinates on the map.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundingBox(Coord c, double rLat, double rLng)`
  Creates a bounding box around a coordinate with a given radius.
  `BoundingBox(Coord southWest, Coord northEast)`
  Constructor with 2 coordinates for south west and north east

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Coord cur)`
  indicates if the given coordinate is inside the counding box
  `static BoundingBox`
  `create(Coord[] coords)`
  create a smallest bounding box that contains all of the given coordinates
  `static BoundingBox`
  `create(Vector coords)`
  /** create a smallest bounding box that contains all of the given coordinates
  `boolean`
  `equals(Object other)`
  Indicates whether some other object is "equal to" this one.
  `BoundingBox`
  `extend(BoundingBox other)`
  create a new bounding box that extends this bounding box with the given bounding box
  `Coord`
  `getNorthEast()`
  Gets the north east coordinate
  `Coord`
  `getSouthWest()`
  Gets the /south west coordinate
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `double`
  `latitudeDifference()`

  ###### Returns

  `double`
  `longitudeDifference()`

  ###### Returns

  `boolean`
  `projected()`
  Indicates if this bounding box is isProjected
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### BoundingBox

    public BoundingBox(Coord c, double rLat, double rLng)

    Creates a bounding box around a coordinate with a given radius.

    ###### Parameters

    - `c`: The coordinate at the center of the bounding box.

    - `rLat`: The latitude radius of the box (in degrees).

    - `rLng`: The longitude radius of the box (in degrees).

  - ### BoundingBox

    public BoundingBox(Coord southWest, Coord northEast)

    Constructor with 2 coordinates for south west and north east

    ###### Parameters

    - `southWest`: coordinate

    - `northEast`: coordinate

- ## Method Details

  - ### create

    public static BoundingBox create(Coord[] coords)

    create a smallest bounding box that contains all of the given coordinates

    ###### Parameters

    - `coords`: given coordinates to create a wrapping bounding box.

    ###### Returns

    a bounding box that contains all of the coordinates

  - ### create

    public static BoundingBox create(Vector coords)

    /** create a smallest bounding box that contains all of the given coordinates

    ###### Parameters

    - `coords`: given coordinates to create a wrapping bounding box.

    ###### Returns

    a bounding box that contains all of the coordinates

  - ### getSouthWest

    public Coord getSouthWest()
    Gets the /south west coordinate

  - ### getNorthEast

    public Coord getNorthEast()
    Gets the north east coordinate

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### latitudeDifference

    public double latitudeDifference()

    ###### Returns

    The difference between SE and NW getLongitude in degrees.

  - ### longitudeDifference

    public double longitudeDifference()

    ###### Returns

    The difference between SE and NW latitudes in degrees.

  - ### contains

    public boolean contains(Coord cur)

    indicates if the given coordinate is inside the counding box

    ###### Parameters

    - `cur`: coordinate to check

    ###### Returns

    true if the given coordinate is contained in the bounding box

  - ### equals

    public boolean equals(Object other)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`

  - ### extend

    public BoundingBox extend(BoundingBox other)

    create a new bounding box that extends this bounding box with the given bounding box

    ###### Parameters

    - `other`: a bounding box that needs to extends the current bounding box

    ###### Returns

    a new bounding box that was extended from the current and the other

  - ### projected

    public boolean projected()

    Indicates if this bounding box is isProjected

    ###### Returns

    true if it's a isProjected bounding box